--- Makefile.orig	2001-02-09 00:44:06.000000000 +1100
+++ Makefile	2014-08-28 09:21:30.000000000 +1000
@@ -5,13 +5,14 @@
 #
 # $Id: Makefile,v 1.17 2001/02/08 13:44:06 argp Exp $
 
-CC = gcc
-INSTALL_DIR = /usr/bin/install -c -o root -g bin
-INSTALL_SBIN = /usr/bin/install -c -s -o root -g bin -m 555
-INSTALL_MAN = /usr/bin/install -c -o root -g bin -m 444
-CFLAGS = -O2 -Wall
-INCLUDE = -I/usr/local/include
-LIBS = -L/usr/local/lib `libnet-config --libs` -lpcap
+CC ?= gcc
+INSTALL_DIR = /usr/bin/install -c
+INSTALL_SBIN = /usr/bin/install -c -m 550
+INSTALL_MAN = /usr/bin/install -c -m 444
+CFLAGS = -O2 -Wall __ARCHFLAGS__
+prefix = __PREFIX__
+INCLUDE = -I$(prefix)/include
+LIBS = -L$(prefix)/lib `libnet-config --libs` -lpcap
 DEFINE = `libnet-config --defines` #-DDEBUG
 OBJS = main.o active.o enable.o help.o host.o pcap.o signal.o util.o
 
@@ -27,15 +28,15 @@
 	rm -f angst *.o *.core core
 
 install:
-	$(INSTALL_DIR) -d /usr/local/sbin
-	rm -f /usr/local/sbin/angst
-	$(INSTALL_SBIN) -m 550 angst /usr/local/sbin
-	$(INSTALL_DIR) -d /usr/local/man/man8
-	rm -f /usr/local/man/man8/angst.8
-	$(INSTALL_MAN) angst.8 /usr/local/man/man8
+	$(INSTALL_DIR) -d $(DESTDIR)$(prefix)/sbin
+	rm -f $(DESTDIR)$(prefix)/sbin/angst
+	$(INSTALL_SBIN) angst $(DESTDIR)$(prefix)/sbin
+	$(INSTALL_DIR) -d $(DESTDIR)$(prefix)/share/man/man8
+	rm -f $(DESTDIR)$(prefix)/share/man/man8/angst.8
+	$(INSTALL_MAN) angst.8 $(DESTDIR)$(prefix)/share/man/man8
 
 uninstall:
-	rm -f /usr/local/sbin/angst
-	rm -f /usr/local/man/man8/angst.8
+	rm -f $(DESTDIR)$(prefix)/sbin/angst
+	rm -f $(DESTDIR)$(prefix)/share/man/man8/angst.8
 
 # EOF
